Bug 20840 - Internal Server Error when clicking on "Details" button
Summary: Internal Server Error when clicking on "Details" button
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Fines and fees (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low critical (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 2696
Blocks:
  Show dependency treegraph
 
Reported: 2018-05-30 21:24 UTC by Claudio
Modified: 2019-10-14 19:57 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Internal server error (67.74 KB, application/pdf)
2018-05-30 21:24 UTC, Claudio
Details
Further samples (156.57 KB, application/pdf)
2018-06-01 14:32 UTC, Claudio
Details
Bug 20840: (bug 2696 follow-up) Fix biblio info fetch (1.80 KB, patch)
2018-06-01 16:57 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 20840: (bug 2696 follow-up) Fix biblio info fetch (1.84 KB, patch)
2018-06-01 17:23 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 20840: (bug 2696 follow-up) Fix biblio info fetch (1.90 KB, patch)
2018-06-02 21:47 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Claudio 2018-05-30 21:24:13 UTC
Created attachment 75692 [details]
Internal server error

Internal Server Error when clicking on "Details" button. See file attached.
Comment 1 Katrin Fischer 2018-06-01 05:46:29 UTC
Hi Claudio, I just tried this on master and didn't get an error. Does it happen for all your fine entries?

Can you get to the logs on your system by chance to see the exact error message?
Comment 2 Jonathan Druart 2018-06-01 13:52:47 UTC
You should also see a more meaningful error in the log file.
Comment 3 Claudio 2018-06-01 14:31:15 UTC
Katrin, Jonathan

I cannot identify a more meaningful message in the log files. See a new attached PDF with further  samples.
Comment 4 Claudio 2018-06-01 14:32:21 UTC
Created attachment 75738 [details]
Further samples
Comment 5 Jonathan Druart 2018-06-01 14:58:17 UTC
You should have something in the log file, please double-check :)
Comment 6 Claudio 2018-06-01 15:13:21 UTC
I'm so sorry Jonathan, I have not expressed myself correctly. I checked the log files out but did not identify any meaningful message about this issue. I have checked all log files in /var/log/koha/INSTANCE.
Comment 7 Jonathan Druart 2018-06-01 16:57:33 UTC
Created attachment 75742 [details] [review]
Bug 20840: (bug 2696 follow-up) Fix biblio info fetch

There is no accountlines.biblionumber field, if the account line is
linked to an item, accountline-details.pl will explode with:
Template process failed: undef error - The method biblionumber is not
covered by tests!

Test plan:
Create a fine for a given item
Pay the fine
View the detail of the account line

=> Without this patch you get a software error
=> With this patch applied you will see the biblio's title
Comment 8 Owen Leonard 2018-06-01 17:23:54 UTC
Created attachment 75743 [details] [review]
Bug 20840: (bug 2696 follow-up) Fix biblio info fetch

There is no accountlines.biblionumber field, if the account line is
linked to an item, accountline-details.pl will explode with:
Template process failed: undef error - The method biblionumber is not
covered by tests!

Test plan:
Create a fine for a given item
Pay the fine
View the detail of the account line

=> Without this patch you get a software error
=> With this patch applied you will see the biblio's title

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 9 Claudio 2018-06-01 17:40:22 UTC
Jonathan, finally it works for me!
Comment 10 Katrin Fischer 2018-06-02 21:47:31 UTC
Created attachment 75744 [details] [review]
Bug 20840: (bug 2696 follow-up) Fix biblio info fetch

There is no accountlines.biblionumber field, if the account line is
linked to an item, accountline-details.pl will explode with:
Template process failed: undef error - The method biblionumber is not
covered by tests!

Test plan:
Create a fine for a given item
Pay the fine
View the detail of the account line

=> Without this patch you get a software error
=> With this patch applied you will see the biblio's title

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 11 Nick Clemens 2018-06-04 17:50:29 UTC
Pushed to master for 18.11, awesome work everybody!
Comment 12 Martin Renvoize 2018-06-05 10:57:18 UTC
This patch has been pushed to 18.05.x and will be in 18.05.01
Comment 13 Fridolin Somers 2018-06-07 07:14:08 UTC
Depends on 2696 not in 17.11.x